.container-card {
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 50px;
}

.active {
    color: #434455;
    fill: #434455;
}

.active:hover {
    color: #434455;
    fill: #434455;
}

.info-card-product {
    padding-left: 20px;
    padding-top: 20px;
    padding-bottom: 10px;
    padding-right: 20px;
}

.text-page {
    margin-top: 30px;
    margin-left: 30px;
    font-weight: 700;
    font-size: 25px;
}

.card-product {
    /* border: 1px solid #000; */
    display: flex;
    flex-direction: column;
    margin-bottom: 40px;
    /* background-color: #dfecfc; */
}

.image-card-product {
    position: relative;
    width: 100%;
    background-color: #fff;
}

.image-card-product-head {
    position: relative;
    width: 100%;
    background-color: #fff;
}

.name-card-text {
    font-weight: 300;
    font-size: 25px;
    text-align: center;
}

.p-card-info {
    font-weight: 700;
    font-size: 25px;
    padding-top: 20px;
    text-align: center;
}

.Specifications-card-info-container {
    padding-top: 15px;
}

.specifications-card-size {
    padding-top: 10px;
}

.specifications-card-container {
    padding-top: 30px;
}

.Specifications-card-p:first-child {
    font-weight: 700;
    font-size: 17px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.Specifications-card-p {
    font-weight: 700;
    font-size: 15px;
    text-align: center;
    padding: 5px 0;
    border-bottom: 1px solid #8c8c8c;
    border-top: 1px solid #8c8c8c;
}

.Specifications-card-info {
  font-weight: 500;
  font-size: 15px;
  display: flex;
  flex-direction: column;
  gap: 5px;
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  padding-top: 0;
  transition: max-height 450ms cubic-bezier(0.56, 0.17, 0.48, 0.63), opacity 450ms cubic-bezier(0.56, 0.17, 0.48, 0.63), padding 450ms cubic-bezier(0.56, 0.17, 0.48, 0.63);
}

.Specifications-card-info.active {
  max-height: 500px; /* или больше, если много контента */
  opacity: 1;
  padding-top: 15px;
}

.butons-info-card {
    padding-top: 15px;
    display: flex;
    gap: 20px;
}

.button-card-info {
    background-color: #4D5AE5;
    color: #ffffff;
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-size: 13px;
    line-height: 1.5;
    letter-spacing: 0.04em;
    cursor: pointer;
    display: block;
    padding: 0;
    min-width: 230px;
    width: 100%;
    border-radius: 50px;
    height: 40px;
    border: none;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.button-card-info:hover {
    background-color: #404BBF;
}

.button-card-info:focus {
    background-color: #404BBF;
}

.custom-select-wrapper {
  position: relative;
  /* width: 200px; */
  user-select: none;
  cursor: pointer;
}

.custom-select-trigger {
  padding: 10px;
  background: #ececec;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.custom-options {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  display: none;
  flex-direction: column;
  background: #fff;
  border: 1px solid #ccc;
  border-radius: 0 0 5px 5px;
  z-index: 10;
}

.custom-option {
  padding: 10px;
  border-top: 1px solid #eee;
}

.custom-option:hover {
  background-color: #f9f9f9;
}

.text-size-container {
    padding-bottom: 5px;
}

.collapsible {
  cursor: pointer;
  user-select: none;
  transition: color 0.2s ease;
}


.copy-article {
    display: flex;
    gap: 15px;
}

.icon-favorite-add {
    position: absolute;
    top: 8px;
    right: 8px;
    cursor: pointer;
}

.size-options {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.size-option {
  position: relative;
  cursor: pointer;
}

.size-option input[type="radio"] {
  display: none;
}

.size-option span {
    display: inline-block;
    background-color: transparent;
    outline: none;
    color: inherit;
    border: 3px solid #b3b3b3;
    border-radius: 60px;
    padding: 5px 10px;
    font-size: 20px;
    transition: border 250ms ease-in-out, background-color 250ms ease-in-out, color 250ms ease-in-out;
}

.size-option span:hover {
    background-color: #404BBF;
    color: #fff;
    border: 3px solid #404BBF;
}

.size-option input[type="radio"]:checked + span {
    border: 3px solid #404BBF;
    background-color: #404BBF;
    color: #fff;
}

.button-card-container-size {
    padding-top: 20px;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    width: 0px;
}

.button-size-specifications {
    background-color: #4D5AE5;
    color: #ffffff;
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.04em;
    cursor: pointer;
    display: block;
    padding: 0px;
    min-width: 230px;
    width: 30%;
    border-radius: 50px;
    height: 40px;
    border: none;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.button-size-specifications:hover {
    background-color: #404BBF;
}

.button-size-specifications:focus {
    background-color: #404BBF;
}

.container-sizes {
    display: flex;
}

.modal {
    width: 320px;
    max-height: 650px;
    background-color: #fcfcfc;
    border-radius: 4px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 72px 16px 24px 16px;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.14),
        0px 1px 3px rgba(0, 0, 0, 0.12),
        0px 2px 1px rgba(0, 0, 0, 0.2);
    transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-close {
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    background-color: rgb(231, 233, 252);
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 50%;
    position: absolute;
    top: 30px;
    right: 30px;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
        border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-close:hover {
    background-color: rgb(64, 75, 191);
    border: none;
    fill: #fff;
}

.modal-close:focus {
    background-color: #404bbf;
    border: none;
    fill: #fff;
}

.button-icon-modal {
    transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-title {
    font-size: 25px;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.02em;
    color: #2e2f42;
    text-align: center;
    margin-bottom: 16px;
}

.image-chart-size {
    width: 170px;
    height: 100%;
}
.image-container {
    padding-top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.size-info-1 {
    left: 122px;
    top: 130px;
    transform: translate(-50%, -50%);
    position: absolute;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    background: #fff;
    border: 2px solid #fb7701;
    border-radius: 50px;
    font-size: 10px;
    color: #000;
    text-align: center;
    font-weight: 500;
    max-width: 80px;
    padding: 5px 10px;
    z-index: 1;
}

.size-info-2 {
    left: 122px;
    top: 202px;
    transform: translate(-50%, -50%);
    position: absolute;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    background: #fff;
    border: 2px solid #fb7701;
    border-radius: 50px;
    font-size: 10px;
    color: #000;
    text-align: center;
    font-weight: 500;
    max-width: 80px;
    padding: 5px 10px;
    z-index: 1;
}



@media (min-width: 1158px) {

.content-hidden {
    display: block;
}

.container-card {
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 30px;
}

.info-card-product {
    padding-left: 20px;
    padding-top: 20px;
    padding-bottom: 10px;
    padding-right: 15px;
}

.text-page {
    margin-top: 30px;
    margin-left: 30px;
    font-weight: 700;
    font-size: 25px;
}

.card-product {
    /* border: 1px solid #000; */
    display: flex;
    flex-direction: row;
    margin-bottom: 40px;
    justify-content: space-between;
    /* background-color: #dfecfc; */
}

.image-card-product {
    position: relative;
    width: 900px;
    /* border-right: 1px solid #000; */
    background-color: #fff;
}

.image-card-product-preff {
    position: relative;
    width: 700px;
    /* border-right: 1px solid #000; */
    background-color: #fff;
}

.image-card-product-head {
    position: relative;
    width: 450px;
    border-right: 1px solid #000;
    background-color: #fff;
}

.name-card-text {
    font-weight: 300;
    font-size: 35px;
    text-align: center;
}

.p-card-info {
    font-weight: 700;
    font-size: 35px;
    padding-top: 20px;
    text-align: center;
}

.Specifications-card-info-container {
    padding-top: 15px;
}

.specifications-card-size {
    padding-top: 10px;
}

.Specifications-card-p {
    font-weight: 700;
    font-size: 20px;
    border-bottom: none;
    border-top: none;
    text-align: left;
    border-bottom: 1px solid #080808;
}

.Specifications-card-p:first-child {
    text-align: left;
    font-size: 20px;
    align-items: flex-start;
    justify-content: flex-start;
}

.Specifications-card-info {
    font-size: 18px;
}

.specifications-card-container {
    padding-top: 20px;
}

.butons-info-card {
    padding-top: 15px;
    display: flex;
    gap: 40px;
}

.button-card-info {
    background-color: #4D5AE5;
    color: #ffffff;
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.04em;
    cursor: pointer;
    display: block;
    padding: 0px;
    min-width: 230px;
    width: 100%;
    border-radius: 50px;
    height: 56px;
    border: none;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.button-card-info:hover {
    background-color: #404BBF;
}

.button-card-info:focus {
    background-color: #404BBF;
}

/* .container-all-products {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
} */

.copy-article {
    display: flex;
    gap: 15px;
}

.custom-select-wrapper {
  position: relative;
  /* width: 200px; */
  user-select: none;
  cursor: pointer;
}

.custom-select-trigger {
  display: none;
  padding: 10px;
  background: #f1f1f1;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.custom-options {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  display: flex;
  flex-direction: row;
  background: #fff;
  border: 1px solid #ccc;
  border-radius: 0 0 5px 5px;
  z-index: 10;
}

.custom-option {
  padding: 10px;
  border-top: 1px solid #eee;
}

.custom-option:hover {
  background-color: #f9f9f9;
}

.icon-favorite-add {
    position: absolute;
    top: 8px;
    right: 8px;
    cursor: pointer;
}

.size-options {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.size-option {
  position: relative;
  cursor: pointer;
}

.size-option input[type="radio"] {
  display: none;
}

.size-option span {
    display: inline-block;
    background-color: transparent;
    outline: none;
    color: inherit;
    border: 3px solid #b3b3b3;
    border-radius: 60px;
    padding: 5px 15px;
    font-size: 20px;
    transition: border 250ms ease-in-out, background-color 250ms ease-in-out, color 250ms ease-in-out;
}

.size-option span:hover {
    background-color: #404BBF;
    color: #fff;
    border: 3px solid #404BBF;
}

.size-option input[type="radio"]:checked + span {
    border: 3px solid #404BBF;
    background-color: #404BBF;
    color: #fff;
}

.button-card-container-size {
    padding-top: 20px;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    width: 230px;
}

.button-size-specifications {
    background-color: #4D5AE5;
    color: #ffffff;
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.04em;
    cursor: pointer;
    display: block;
    padding: 0px;
    min-width: 230px;
    width: 30%;
    border-radius: 50px;
    height: 40px;
    border: none;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.button-size-specifications:hover {
    background-color: #404BBF;
}

.button-size-specifications:focus {
    background-color: #404BBF;
}

.container-sizes {
    display: flex;
}

.modal {
    width: 800px;
    max-height: 800px;
    background-color: #fcfcfc;
    border-radius: 4px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 72px 16px 24px 16px;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.14),
        0px 1px 3px rgba(0, 0, 0, 0.12),
        0px 2px 1px rgba(0, 0, 0, 0.2);
    transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-close {
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    background-color: rgb(231, 233, 252);
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 50%;
    position: absolute;
    top: 30px;
    right: 30px;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
        border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-close:hover {
    background-color: rgb(64, 75, 191);
    border: none;
    fill: #fff;
}

.modal-close:focus {
    background-color: #404bbf;
    border: none;
    fill: #fff;
}

.button-icon-modal {
    transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-title {
    font-size: 25px;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.02em;
    color: #2e2f42;
    text-align: center;
    margin-bottom: 16px;
}

.image-chart-size {
    width: 230px;
    height: 100%;
}
.image-container {
    padding-top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.size-info-1 {
    left: 355px;
    top: 172px;
    transform: translate(-50%, -50%);
    position: absolute;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    background: #fff;
    border: 2px solid #fb7701;
    border-radius: 50px;
    font-size: 13px;
    color: #000;
    text-align: center;
    font-weight: 500;
    max-width: 80px;
    padding: 5px 10px;
    z-index: 1;
}

.size-info-2 {
    left: 355px;
    top: 270px;
    transform: translate(-50%, -50%);
    position: absolute;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    background: #fff;
    border: 2px solid #fb7701;
    border-radius: 50px;
    font-size: 13px;
    color: #000;
    text-align: center;
    font-weight: 500;
    max-width: 80px;
    padding: 5px 10px;
    z-index: 1;
}


}